Query Baremetal Server Details
Returns the list of baremetal servers with their associated configs and statuses based on the provided filter criteria.
Filter criteria for querying baremetal servers with details.
{
"site_ids": [
"string"
],
"offset": 0,
"page_size": 0,
"sort_ascending": false,
"sort_by": "string",
"display_name": [
"string"
],
"os_details": [
"string"
],
"agent_version": [
"string"
],
"agent_health": [
"string"
],
"last_operation_info": [
"string"
]
}
OK
{
"offset": 0,
"number_of_results": 0,
"total_result_count": 0,
"total_pages": 0,
"sort_ascending": false,
"sort_by": "string",
"results": [
{
"_create_user": "string",
"_create_time": 0,
"_last_modified_user": "string",
"_last_modified_time": 0,
"_revision": 0,
"_resource_type": "string",
"_system_owned": false,
"id": "string",
"display_name": "string",
"description": "string",
"site_ids": [
"string"
],
"lcm_status": "string",
"lcm_error": "string",
"lcm_operation": "string",
"os_details": "string",
"agent_version": "string",
"state": "string",
"connectivity_status": "string",
"is_agent_local_uninstall": false,
"config": {
"interfaces": [
{
"interface_name": "string",
"interface_id": "string",
"is_mgmt_interface": false,
"mac_address": "string",
"address_bindings": [
"string"
],
"admin_status": "string",
"interface_type": "string"
}
]
},
"controller": {
"controller_ip": "string",
"controller_id": "string"
},
"agent_health": {
"connectivity": {
"controller_connectivity_status": "string",
"orchestrator_connectivity_status": "string",
"metrics_service_connectivity_status": "string"
},
"agents_status": {
"operational_status": "string",
"operational_message": "string"
},
"overall_agent_health": "string"
},
"last_operation_info": "string"
}
]
}
Bad Request - Invalid filter parameters or request body
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error response on API failure.
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/baremetal/servers-status-detail